/*** MULTI3.C ***/

extern unsigned _stklen = 10000;

#include "GRAFICOS.C"
#include "ESCONDID.C"

float f1(float x, float y) { return x*cos(y); }
float f2(float x, float y) { return x*sin(y); }
float f3(float x, float y) { return y; }

char nome_arquivo[80] = "MULTI3";

void main(int argc) {

  int cor_f1 = BLACK,
      cor_f2 = BLACK,
      cor1 = RED,
      cor2 = RED,
      cor3 = CYAN,
      cor4 = CYAN,
      padrao2 = 255,
      padrao1 = 85,
      opcao = YELLOW;
  float xmin, xmax, ymin, ymax, zmin, zmax;

  IniciaModoGrafico();
  TAM = 20; nu = 30; nv = 50;

  A = getmaxx()/4;
  B = getmaxy()/2;
  o1 = 2; o2 = 1; o3 = 0.7;
  DeterminaPlanoDeProjecao();
  DesenhaSuperficieEsc(f1, f2, f3, -7, 7, -8, 8, &xmin, &xmax, &ymin,
	     &ymax, &zmin, &zmax, cor_f1, cor_f2, cor1, cor2, cor3, cor4,
	     padrao1, padrao2, nome_arquivo, opcao);

  A = 3*getmaxx()/4;
  B = getmaxy()/2;
  o1 = 3; o2 = 0.5; o3 = 2.5;
  DeterminaPlanoDeProjecao();
  DesenhaSuperficieEsc(f1, f2, f3, -7, 7, -8, 8, &xmin, &xmax, &ymin,
	     &ymax, &zmin, &zmax, cor_f1, cor_f2, cor1, cor2, cor3, cor4,
	     padrao1, padrao2, nome_arquivo, opcao);

  SalvaImagem(nome_arquivo);
  if (argc == 1) {
    getch();
    closegraph();
  }
}

/*** FIM DE MULTI3.C ***/
