/*** GRAF2.C ***/

extern unsigned _stklen = 10000;

#include "GRAFICOS.C"
#include "ESCONDID.C"

float f1(float x, float y) { return (6+1.5*cos(x))*(
       -10*cos(y) - 2*cos(5*y) + 15*sin(2*y)
)/10; }
float f2(float x, float y) { return (6+1.5*cos(x))*(
      -15*cos(2*y) + 10*sin(y) -2*sin(5*y)
)/10; }
float f3(float x, float y) { return (1.5*sin(x) +
      10*cos(3*y)
)/10; }

char nome_arquivo[80] = "GRAF2";

void main(int argc) {

  int cor_f1 = BLACK,
      cor_f2 = BLACK,
      cor1 = CYAN,
      cor2 = BLUE,
      cor3 = RED,
      cor4 = BLACK,
      padrao2 = 255,
      padrao1 = 255,
      opcao = -1,
      cor_max_min = BROWN;

  float xmin, xmax, ymin, ymax, zmin, zmax;
  char mens[80];

  IniciaModoGrafico();
  o1 = 1.2; o2 = 1; o3 = 4;
  DeterminaPlanoDeProjecao();
  A = getmaxx()/2;
  B = getmaxy()/2;
  TAM = 18;
  nu = 50; nv = 50;
  DesenhaSuperficieEsc(f1, f2, f3, 0, 6.29, 0, 6.29,&xmin, &xmax, &ymin,
	     &ymax, &zmin, &zmax, cor_f1, cor_f2, cor1, cor2, cor3, cor4,
	     padrao1, padrao2, nome_arquivo, opcao);

  SalvaImagem(nome_arquivo);
  setcolor(cor_max_min);
  sprintf(mens, "x %c [%4.2f, %4.2f], y %c [%4.2f, %4.2f], z %c [%4.2f, "
		"%4.2f]", 238, xmin, xmax, 238, ymin, ymax, 238, zmin, zmax);
  outtextxy(1, getmaxy() - textheight("H"), mens);

  if (argc == 1) {
    getch();
    closegraph();
  }
}

/*** FIM DE GRAF2.C ***/
