/*** GRAF3.C ***/

extern unsigned _stklen = 10000;

#include "GRAFICOS.C"
#include "ESCONDID.C"

char nome_arquivo[80] = "GRAF3";

float f1(float u, float v) { return v*sin(3*u); }
float f2(float u, float v) { return v*sin(2*u); }
float f3(float u, float v) { return v; }

void main(int argc) {
  int cor_f1 = BLACK,
      cor_f2 = BLACK,
      cor1 = RED,
      cor2 = BLACK,
      cor3 = CYAN,
      cor4 = BLACK,
      padrao1 = 255,
      padrao2 = 255,
      opcao = YELLOW,
      cor_max_min = BROWN;

  float xmin, xmax, ymin, ymax, zmin, zmax;
  char mens[80];

  IniciaModoGrafico();
  o1 = 3; o2 = 1; o3 = 0.8;
  DeterminaPlanoDeProjecao();
  A = getmaxx()/2;
  B = getmaxy()/2;
  TAM = 50;
  nu = 120; nv = 50;
  setcolor(WHITE);
  DesenhaSuperficieEsc(f1, f2, f3, -3.14, 3.14, -4, 4, &xmin, &xmax, &ymin,
	     &ymax, &zmin, &zmax, cor_f1, cor_f2, cor1, cor2, cor3, cor4,
	     padrao1, padrao2, nome_arquivo, opcao);
  SalvaImagem(nome_arquivo);
  setcolor(cor_max_min);
  sprintf(mens, "x %c [%4.2f, %4.2f], y %c [%4.2f, %4.2f], z %c [%4.2f, "
		"%4.2f]", 238, xmin, xmax, 238, ymin, ymax, 238, zmin, zmax);
  outtextxy(1, getmaxy() - textheight("H"), mens);
  if (argc == 1) {
    getch();
    closegraph();
  }
}

/*** FIM DE GRAF3.C ***/

