/*** GRAF5.C ***/

extern unsigned _stklen = 10000;

#include "GRAFICOS.C"
#include "ESCONDID.C"

float f1(float u, float v) {
  if (u <= 6.28 && u > 3.14)
    return 6*cos(u)*(1 + sin(u)) + 4*(1 - cos(u)/2)*cos(v + M_PI);
  else
    return 6*cos(u)*(1 + sin(u)) + 4*(1 - cos(u)/2)*cos(v)*cos(u);
}

float f2(float u, float v) {
  if (u <= 6.28 && u > 3.14)
    return 16*sin(u);
  else
    return 16*sin(u) + 4*(1 - cos(u)/2)*sin(u)*cos(v);
}

float f3(float u, float v) { return 4*(1 - cos(u)/2)*sin(v); }

char nome_arquivo[80] = "GRAF5";

void main(int argc) {

  int cor_f1 = WHITE,
      cor_f2 = WHITE,
      cor1 = BLUE,
      cor2 = BLACK,
      cor3 = BLUE,
      cor4 = BLACK,
      padrao2 = 255,
      padrao1 = 255,
      opcao = YELLOW,
      cor_max_min = BROWN;

  float xmin, xmax, ymin, ymax, zmin, zmax;
  char mens[80];

  IniciaModoGrafico();
  o1 = 1.4; o2 = -2.6; o3 = -1.4;
  DeterminaPlanoDeProjecao();
  A = getmaxx()/2;
  B = getmaxy()/2;
  TAM = 20;
  nu = 70; nv = 70;
  DesenhaSuperficieEsc(f1, f2, f3, 0, 6.28, 0, 6.28, &xmin, &xmax, &ymin,
	     &ymax, &zmin, &zmax, cor_f1, cor_f2, cor1, cor2, cor3, cor4,
	     padrao1, padrao2, nome_arquivo, opcao);

  SalvaImagem(nome_arquivo);
  setcolor(cor_max_min);
  sprintf(mens, "x %c [%4.2f, %4.2f], y %c [%4.2f, %4.2f], z %c [%4.2f, "
		"%4.2f]", 238, xmin, xmax, 238, ymin, ymax, 238, zmin, zmax);
  outtextxy(1, getmaxy() - textheight("H"), mens);
  if (argc == 1) {
    getch();
    closegraph();
  }
}

/*** FIM DE GRAF5.C ***/
