/*** MOSTRE.C ***/

#include <ctype.h>

#include "graficos.c"

void main(int argc, char *argv[]) {

  char arq[80], im, i;
  int nome_arq = 0, pausa = 0;

  printf("\n\xfe Mostra o nome do arquivo aps a construao da imagem? (s/n) ");
  nome_arq = (toupper(getche()) == 'S');
  printf("\n\xfe Pausa aps a construao da imagem? (s/n) ");
  pausa = (toupper(getche()) == 'S');

  if (argc == 1) {
    printf("\nNome do arquivo onde a imagem foi salva: ");
    scanf("%s", argv[1]);
    argc = 2;
  }
  IniciaModoGrafico();
  for (i = 2; i <= argc; i++) {
    strcpy(arq, argv[i - 1]);
    if ((im = LeImagem(arq)) != 0) {
      if (nome_arq) {
	setcolor(DARKGRAY);
	outtextxy(getmaxx() - 12*textwidth("M"), 0, strupr(arq));
      }
      if (pausa) getch();
    } else break;
  }
  closegraph();
  if (im == 0) printf("\nNao foi possivel ler o arquivo %s\n",
							 strupr(argv[i - 1]));
}

/*** FIM DE MOSTRE.C ***/
